"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withScreenshot = void 0;
const preview_api_1 = require("@storybook/preview-api");
const trigger_screenshot_1 = require("./trigger-screenshot");
const withScreenshotDecorator = (0, preview_api_1.makeDecorator)({
    name: 'withScreenshot',
    parameterName: 'screenshot',
    skipIfNoParametersOrOptions: false,
    allowDeprecatedUsage: true,
    wrapper: (getStory, context, { parameters, options }) => {
        if (typeof process !== 'undefined' && (process === null || process === void 0 ? void 0 : process.env.JEST_WORKER_ID) !== undefined) {
            return getStory(context);
        }
        const screenshotOptions = parameters || options;
        (0, trigger_screenshot_1.triggerScreenshot)(screenshotOptions, context);
        return getStory(context);
    },
});
const withScreenshot = withScreenshotDecorator;
exports.withScreenshot = withScreenshot;
