/// <reference types="node" />
import { MainOptions } from './types';
export declare class FileSystem {
    private opt;
    constructor(opt: MainOptions);
    private getPath;
    /**
     *
     * Save captured buffer as a PNG image.
     *
     * @param kind - Story kind
     * @param story - Name of this story
     * @param suffix - File name suffix
     * @param buffer - PNG image buffer to save
     * @returns Absolute file path
     *
     **/
    saveScreenshot(kind: string, story: string, suffix: string[], buffer: Buffer): Promise<string>;
    /**
     *
     * Save captured tracing buffer as a json file.
     *
     * @param kind - Story kind
     * @param story - Name of this story
     * @param suffix - File name suffix
     * @param buffer - PNG image buffer to save
     * @returns Absolute file path
     *
     **/
    saveTrace(kind: string, story: string, suffix: string[], buffer: Buffer): Promise<string>;
}
